### Method

# ECal ComponentAlarmRepeat get_interval

since: 3.34

#### Declaration [src]

    ICalDuration*
    e_cal_component_alarm_repeat_get_interval (
      const ECalComponentAlarmRepeat* repeat
    )

#### Description [src]

Returns the interval between repetitions of the `repeat`, as an `ICalDuration` object. This object is owned by `repeat` and should not be freed. It’s valid until the `repeat` is not freed or its interval changed with either `e_cal_component_alarm_repeat_set_interval()` or e_cal_component_alarm_repeat_set_interval_seconds().

Available since: 3.34

#### Return value

Type: `None`

The interval between repetitions of the `repeat`.

The returned data is owned by the instance.